BearSSL

Data Fields
br_sha256_context Struct Reference

SHA-256 context. More...

`#include <bearssl_hash.h>`

## Data Fields
const br_hash_class * | vtable
| Pointer to vtable for this context. More...

## Detailed Description

SHA-256 context.

First field is a pointer to the vtable; it is set by the initialisation function. Other fields are not supposed to be accessed by user code.

## Field Documentation

## ◆ vtable

const br_hash_class* br_sha256_context::vtable

Pointer to vtable for this context.

The documentation for this struct was generated from the following file:

- bearssl_hash.h